# Class MoveRefactoring

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.ltk.core.refactoring.Refactoring
org.eclipse.ltk.core.refactoring.participants.ProcessorBasedRefactoring
org.eclipse.ltk.core.refactoring.participants.MoveRefactoring

All Implemented Interfaces:
  `IAdaptable`

public class MoveRefactoring extends ProcessorBasedRefactoring
A generic move refactoring. The actual refactoring is done by the move processor passed to the constructor.

This class is not intended to be subclassed by clients.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`MoveRefactoring(MoveProcessor processor)`
Creates a new move refactoring with the given move processor.

## Method Summary

Modifier and Type
Method
Description
`MoveProcessor`
`getMoveProcessor()`
Returns the move processor associated with this move refactoring.
`RefactoringProcessor`
`getProcessor()`
Return the processor associated with this refactoring.

### Methods inherited from class ProcessorBasedRefactoring

`checkFinalConditions, checkInitialConditions, createChange, getAdapter, getName, getTextChange, isApplicable, setProcessor, toString`

### Methods inherited from class Refactoring

`checkAllConditions, doGetRefactoringTickProvider, getRefactoringTickProvider, getValidationContext, setValidationContext`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MoveRefactoring

public MoveRefactoring(MoveProcessor processor)
Creates a new move refactoring with the given move processor.

Parameters:
  `processor` - the move processor

## Method Details

### getMoveProcessor

public MoveProcessor getMoveProcessor()
Returns the move processor associated with this move refactoring.

Returns:
  returns the move processor associated with this move refactoring

### getProcessor

public RefactoringProcessor getProcessor()
Description copied from class: `ProcessorBasedRefactoring`
Return the processor associated with this refactoring. The method must not return `null`. Implementors can override this method to return the processor to be used by this refactoring. Since 3.4, this method returns the processor passed in `ProcessorBasedRefactoring(RefactoringProcessor)` or by `ProcessorBasedRefactoring.setProcessor(RefactoringProcessor)`.

Overrides:
  `getProcessor` in class `ProcessorBasedRefactoring`
Returns:
  the processor associated with this refactoring